<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Eventos #01</title>
    <link rel='stylesheet' href='css/estilo.css'>
    <script src='js/jquery.js'></script>
    <style>
        input {
            font-size: 2em;
        }
    </style>
</head>

<body class='conteudo exercicio'>
    <h1>Eventos #01</h1>
    <div id='posicao'></div>
    <div id='cliques'>Cliques: 0</div>
    <input type="text" placeholder="Cor de Background">

    <script>
        function mostrarPosicaoDoMouse(e) {
            $('#posicao').html(`x: ${e.clientX}`).append(` y: ${e.clientY}`)
        }

        $('body').on('mousemove', mostrarPosicaoDoMouse)

        $('#posicao').mouseover(e => {
            $('body').off('mousemove', mostrarPosicaoDoMouse)
        })

        $('#posicao').mouseleave(e => {
            $('body').mousemove(mostrarPosicaoDoMouse)
        })

        let cliques = 0
        $('body').click(e => {
            $('#cliques').html(`cliques: ${++cliques}`)
        })

        const backgroundOriginal = $('body').css('background-color')

        $('input').keyup(function (e) {
            const valor = $(this).val()
            if (valor.match(/#[\da-fA-F]{3,6}/)) {
                $('body').css('background-color', valor)
                console.log(valor)
            } else {
                $('body').css('background-color', backgroundOriginal)
            }
        })
    </script>
</body>